Edit Service
curl --request PATCH \
--url https://api.byteful.com/1.0/public/user/service/edit/{service_id} \
--header 'Content-Type: <content-type>' \
--header 'X-API-Private-Key: <api-key>' \
--header 'X-API-Public-Key: <api-key>' \
--data '
{
"cancel_comment": "<string>",
"cancel_feedback": "<string>",
"payment_method_id": "<string>",
"service_is_automatic_collection": true,
"service_is_pending_cancellation": true,
"service_metadata": {}
}
'import requests
url = "https://api.byteful.com/1.0/public/user/service/edit/{service_id}"
payload = {
"cancel_comment": "<string>",
"cancel_feedback": "<string>",
"payment_method_id": "<string>",
"service_is_automatic_collection": True,
"service_is_pending_cancellation": True,
"service_metadata": {}
}
headers = {
"Content-Type": "<content-type>",
"X-API-Private-Key": "<api-key>",
"X-API-Public-Key": "<api-key>"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {
'Content-Type': '<content-type>',
'X-API-Private-Key': '<api-key>',
'X-API-Public-Key': '<api-key>'
},
body: JSON.stringify({
cancel_comment: '<string>',
cancel_feedback: '<string>',
payment_method_id: '<string>',
service_is_automatic_collection: true,
service_is_pending_cancellation: true,
service_metadata: {}
})
};
fetch('https://api.byteful.com/1.0/public/user/service/edit/{service_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"edited": [
"API-1234-5678"
],
"message": "Service successfully edited."
}Service
Edit Service
Allows a user to edit the details of an existing service. This can include changes in payment method, adjusting automatic collection, and marking for cancellation at the end of a period.
PATCH
/
public
/
user
/
service
/
edit
/
{service_id}
Edit Service
Authorizations
Private API key for user-level authentication.
Public API key for user-level authentication.
Headers
Content type for the request body as application/json.
Path Parameters
ID of the Service to edit
Body
application/json
Parameters required to edit the service.
Comment regarding the cancellation.
Feedback reasons for cancellation.
New payment method ID.
Flag to determine if service charge should be automatic.
Indicates if the service should be canceled at the end of the period.
Arbitrary metadata object associated with the service. Constraints
- Must be a valid, non-nested JSON object.
- Maximum 30 keys.
- Each value's string representation ≤ 300 characters.
- Total size ≤ 32KB.

